<template>
  <div>
<!--  Mixins - примеси, это переиспользуемый код который выносится в отдельный js файл.
В дальнейшем импортируется в компонет и монтируется через свойство mixin  -->

<!--   Ref - ссылка на элемент или компонент.
Доступ к ссылке хранится в свойстве $refs(обьект) экземпляра Vue  -->
    <c-section title-tag="h1" title-text="Mixins + ref ($refs) + render fn ">
        <br>
        <button @click="scrollTo($refs.bottom)" ref="top">go to bottom</button>
        <br>
        <div>Lorem ipsum dolor sit amet, consectetur adipisicing elit. At deserunt doloremque eum ex facere facilis fuga
            id inventore ipsa minus natus nemo perferendis reprehenderit, saepe sed sunt suscipit, totam velit.
        </div>
        <div>Aliquid animi architecto distinctio enim est impedit incidunt mollitia ratione rem ullam, veniam vero,
            voluptatem voluptates! Accusantium exercitationem laboriosam laudantium nisi obcaecati pariatur quam quas
            quibusdam repellat voluptatem? Maxime, natus.
        </div>
        <div>Accusantium amet, animi autem, ea est exercitationem impedit ipsum, laudantium maiores molestiae nemo
            nesciunt nobis officiis pariatur perspiciatis quam sapiente voluptas voluptatem! Aspernatur culpa dolore,
            ducimus eum fugit magnam odio.
        </div>
        <div>Cupiditate, delectus enim necessitatibus obcaecati odit porro possimus quasi quia recusandae similique
            voluptatem voluptates? Asperiores beatae dicta eos fuga incidunt, ipsa iure maiores mollitia, necessitatibus
            quam ratione repellendus repudiandae tempora!
        </div>
        <div>Accusamus, corporis dignissimos exercitationem iusto laboriosam minima minus neque quas sapiente sit.
            Asperiores consequatur dicta dolorum mollitia, quia ratione voluptatibus? Accusantium architecto consectetur
            dolores ducimus nulla odit provident quisquam veritatis?
        </div>
        <div>Architecto consectetur delectus est harum, itaque non perspiciatis reiciendis ullam vero voluptatum.
            Blanditiis earum non porro quae recusandae sit sunt unde vel vero! Laboriosam, quaerat, voluptate? Culpa
            deserunt error unde!
        </div>
        <div>Ad aliquam amet at autem, commodi cumque, fugit harum ipsa laudantium magnam necessitatibus neque quae quia
            quo recusandae reiciendis repellendus sed suscipit ut voluptatibus. Beatae deserunt laudantium molestias
            praesentium vero?
        </div>
        <div>Ab alias atque delectus optio sed. Ad aliquid architecto aut dolor dolore doloremque doloribus illo ipsum
            maiores minus molestias omnis perferendis placeat porro, reiciendis totam ullam ut velit voluptatibus
            voluptatum.
        </div>
        <div>Ab atque aut autem consequatur cum dolores enim esse eveniet fugiat hic illo illum in incidunt ipsum nam
            numquam provident quo quod rem repellendus, sed temporibus, totam velit veniam voluptatum.
        </div>
        <div>Accusantium architecto, aut blanditiis consectetur corporis dicta eaque enim esse eveniet ex fugiat illo
            ipsam iusto libero nam neque nihil nobis officia pariatur quam quasi, quidem quos recusandae suscipit
            voluptas!
        </div>
        <div>A, corporis earum enim eos fugit illo officia quas sit. Accusamus consectetur consequuntur debitis dolore,
            enim hic id illo illum iusto magnam maxime nobis possimus repellat repellendus suscipit temporibus
            voluptatum.
        </div>
        <div>Consequatur, cumque doloribus ducimus esse fugit itaque iure nostrum possimus quam. A accusamus dolorem
            ipsa minima molestias nobis nulla, numquam odio omnis perspiciatis quod rem repellendus veniam vero
            voluptate voluptatem?
        </div>
        <div>Animi, assumenda at dolore earum enim eos, error expedita ipsum molestiae mollitia necessitatibus, odit qui
            repudiandae! Accusantium et facilis illo itaque libero quae sequi unde? Esse explicabo illum modi tempore.
        </div>
        <div>A alias amet autem consequuntur, cum delectus, dignissimos doloribus eos eum eveniet itaque laborum
            mollitia nemo nesciunt nihil optio quam, qui quia quidem quisquam ratione reprehenderit similique soluta
            velit veritatis.
        </div>
        <div>Accusantium ad alias asperiores assumenda beatae culpa deserunt esse et expedita fuga illo impedit
            laboriosam, modi necessitatibus nesciunt nobis officiis praesentium quae repellendus repudiandae saepe sint
            sit temporibus vitae voluptates!
        </div>
        <div>Ad corporis cum earum et incidunt iusto, laborum molestiae nobis possimus quae ratione sunt. Adipisci
            consequatur dolore esse eveniet excepturi fuga illo magnam, nam odit placeat, quia repellendus ut
            voluptatem?
        </div>
        <div>Accusantium animi eaque, fugit, maiores nemo nihil nobis perferendis reprehenderit, sunt suscipit tempora
            ullam vitae voluptatum! Alias at autem blanditiis corporis deleniti dolores esse excepturi magnam maiores
            molestiae, numquam, voluptatibus.
        </div>
        <div>Animi, autem est eum facilis molestiae nulla! At deleniti ea error excepturi, necessitatibus omnis quaerat
            quibusdam repellat repellendus voluptates! Autem consequuntur doloremque enim explicabo modi mollitia nam,
            odit pariatur rem.
        </div>
        <div>Architecto aspernatur dolore eaque harum nisi, non nostrum quis repellendus veritatis. Dolore dolorem
            doloremque doloribus eaque incidunt necessitatibus perferendis quis? Architecto eos excepturi, illum nobis
            nostrum quidem sequi velit? Eius?
        </div>
        <div>Culpa dolore eum exercitationem in maxime non odio sed sit veniam voluptate. Ab cumque deserunt maiores
            minima mollitia, nobis ratione sed temporibus tenetur voluptas. Accusamus at cumque maxime officiis
            quibusdam!
        </div>
        <footer ref="bottom" style="color:darkblue;font-size:25px;cursor:pointer" @click="scrollTo($refs.top)">this is bottom</footer>
    </c-section>

  </div>
  
</template>

<script>
  import scrollTo from '../assets/js/mixins/scrollTo'
  import CSection from "./CSection/CSection";

  export default {
    name: "Mixins",
      components: {CSection},
      mixins: [scrollTo]
  }
</script>

<style lang="sass">

</style>